Name:           ccss
Version:        1.3
Release:        %mkrel 5
Summary:        Preprocessor for CSS (Cascading Style Sheets)
License:        GPL v2
Group:          Development/Tools
URL:            http://ccss.forge.ocamlcore.org/
Source0:        http://download.ocamlcore.org/ccss/ccss/%{version}/ccss-%{version}.tgz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  menhir
BuildRequires:  ocaml-batteries-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  ocaml-ulex-devel

%description
CCSS is a command line tool for preprocessing/pretty-printing CSS (Cascading
Style Sheets). It extends the CSS language with support for declaration of
variables and basic arithmetic operations (addition, subtraction,
multiplication, division). The program is supposed to be used as a filter:
it reads the CSS source from stdin and outputs its result on stdout.

While it does not claim to support all the dark corners of CSS, in practice
CCSS handles most CSS found in the wild, including CSS3 constructs. Its
primary advantage over similar preprocessors is speed: the project is
implemented in OCaml, a language renowned for producing native-code
executables of blazing performance.

%prep
%setup -q

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --destdir %{buildroot}

make

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
make install

%files
%doc README LICENSE CHANGELOG
%doc examples/
%{_bindir}/ccss


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.3-5.mga4
+ Revision: 503293
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.3-4.mga3
+ Revision: 347493
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 1.3-3.mga3
+ Revision: 323767
- rebuild for new pcre

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.3-2.mga3
+ Revision: 301883
- rebuild for new ocaml 4.00

* Sun Sep 30 2012 blue_prawn <blue_prawn> 1.3-1.mga3
+ Revision: 300604
- build requires ocaml-findlib-devel
- build requires dependencies
- was a wrong name, while it's a command line tool, not a library
- was a wrong name, while it's a command line tool, not a library
- imported package ocaml-ccss

